# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}

%global project felix
%global bundle org.apache.felix.framework
%global groupId org.apache.felix
%global artifactId %{bundle}

Name:           %{project}-framework
Version:        4.0.2
Release:        %mkrel 3
Summary:        Apache Felix Framework

Group:          Development/Java
License:        ASL 2.0
URL:            http://felix.apache.org
Source0:        http://apache.miloslavbrada.cz//felix/%{bundle}-%{version}-source-release.tar.gz

Patch0:         felix-framework-encoding.patch
Patch1:         add-xpp3-dependency.patch

BuildArch:      noarch

BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  felix-osgi-compendium
BuildRequires:  felix-osgi-core
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-plugin-bundle
BuildRequires:  apache-rat-plugin
BuildRequires:  xpp3


Requires:       felix-osgi-compendium
Requires:       felix-osgi-core
Requires:       java >= 1:1.6.0
Requires:       xpp3

%description
Apache Felix Framework Interfaces and Classes.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%global POM %{_mavenpomdir}/JPP.%{project}-%{bundle}.pom

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p1
%patch1 -p1

%build
mvn-rpmbuild -X install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/%{project}
install -m 644 target/%{bundle}-%{version}.jar \
        %{buildroot}%{_javadir}/%{project}/%{bundle}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{project}-%{bundle}.pom

%add_maven_depmap JPP.%{project}-%{bundle}.pom %{project}/%{bundle}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
%__cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}


%files
%doc LICENSE
%{_mavenpomdir}/JPP.%{project}-%{bundle}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{project}/*

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 4.0.2-3.mga3
+ Revision: 350114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 03 2012 tavvva <tavvva> 4.0.2-2.mga3
+ Revision: 266850
- trying to debug with -X
- making xpp3 mandatory
- Building with xpp3 dependency

  + dmorgan <dmorgan>
    - New version 4.0.2

* Thu Apr 28 2011 dmorgan <dmorgan> 2.0.5-6.mga1
+ Revision: 92436
- Rebuild after bootstrapping
- imported package felix-framework

